### Hierarchy

- FlowNodeHandler
  - ServiceTaskHandler

### Implements

- IFlowNodeHandler

## Index

### Constructors

- constructor

### Properties

- container
- invoker

### Methods

- execute
- executeIntern
- getFlowNodeById
- getNextFlowNodeFor

## Constructors

### constructor

- new ServiceTaskHandler(container: Container<IInstanceWrapper<any>>, invoker: IInvoker): ServiceTaskHandler

- - Defined in execution/handler/service_task_handler.ts:11

  #### Parameters

  - ##### container: Container<IInstanceWrapper<any>>

  - ##### invoker: IInvoker

  #### Returns ServiceTaskHandler

## Properties

### Private container

container: Container<IInstanceWrapper<any>>

- Defined in execution/handler/service_task_handler.ts:10

### Private invoker

invoker: IInvoker

- Defined in execution/handler/service_task_handler.ts:11

## Methods

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Implementation of IFlowNodeHandler.execute

  Inherited from FlowNodeHandler.execute

  - Defined in execution/handler/flow_node_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected executeIntern

- executeIntern(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Overrides FlowNodeHandler.executeIntern

  - Defined in execution/handler/service_task_handler.ts:20

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected getFlowNodeById

- getFlowNodeById(flowNodeId: string, processDefinition: IProcessDefEntity): INodeDefEntity

- Inherited from FlowNodeHandler.getFlowNodeById

  - Defined in execution/handler/flow_node_handler.ts:24

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns INodeDefEntity

### Protected getNextFlowNodeFor

- getNextFlowNodeFor(flowNode: INodeDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- Inherited from FlowNodeHandler.getNextFlowNodeFor

  - Defined in execution/handler/flow_node_handler.ts:17

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

Generated using TypeDoc